DROP TABLE CRST_PO_ASL_ATTRIBUTES;

CREATE TABLE CRST_PO_ASL_ATTRIBUTES
(
  ASL_ID                          NUMBER        NOT NULL,
  USING_ORGANIZATION_ID           NUMBER        NOT NULL,
  LAST_UPDATE_DATE                DATE          NOT NULL,
  LAST_UPDATED_BY                 NUMBER        NOT NULL,
  CREATION_DATE                   DATE          NOT NULL,
  CREATED_BY                      NUMBER        NOT NULL,
  DOCUMENT_SOURCING_METHOD        VARCHAR2(25 BYTE),
  RELEASE_GENERATION_METHOD       VARCHAR2(25 BYTE),
  PURCHASING_UNIT_OF_MEASURE      VARCHAR2(25 BYTE),
  ENABLE_PLAN_SCHEDULE_FLAG       VARCHAR2(1 BYTE),
  ENABLE_SHIP_SCHEDULE_FLAG       VARCHAR2(1 BYTE),
  PLAN_SCHEDULE_TYPE              VARCHAR2(25 BYTE),
  SHIP_SCHEDULE_TYPE              VARCHAR2(25 BYTE),
  PLAN_BUCKET_PATTERN_ID          NUMBER,
  SHIP_BUCKET_PATTERN_ID          NUMBER,
  ENABLE_AUTOSCHEDULE_FLAG        VARCHAR2(1 BYTE),
  SCHEDULER_ID                    NUMBER,
  ENABLE_AUTHORIZATIONS_FLAG      VARCHAR2(1 BYTE),
  VENDOR_ID                       NUMBER,
  VENDOR_SITE_ID                  NUMBER,
  ITEM_ID                         NUMBER,
  CATEGORY_ID                     NUMBER,
  ATTRIBUTE_CATEGORY              VARCHAR2(30 BYTE),
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  LAST_UPDATE_LOGIN               NUMBER,
  REQUEST_ID                      NUMBER,
  PROGRAM_APPLICATION_ID          NUMBER,
  PROGRAM_ID                      NUMBER,
  PROGRAM_UPDATE_DATE             DATE,
  PRICE_UPDATE_TOLERANCE          NUMBER,
  PROCESSING_LEAD_TIME            NUMBER,
  MIN_ORDER_QTY                   NUMBER,
  FIXED_LOT_MULTIPLE              NUMBER,
  DELIVERY_CALENDAR               VARCHAR2(10 BYTE),
  COUNTRY_OF_ORIGIN_CODE          VARCHAR2(2 BYTE),
  ENABLE_VMI_FLAG                 VARCHAR2(1 BYTE),
  VMI_MIN_QTY                     NUMBER,
  VMI_MAX_QTY                     NUMBER,
  ENABLE_VMI_AUTO_REPLENISH_FLAG  VARCHAR2(1 BYTE),
  VMI_REPLENISHMENT_APPROVAL      VARCHAR2(30 BYTE),
  CONSIGNED_FROM_SUPPLIER_FLAG    VARCHAR2(1 BYTE),
  LAST_BILLING_DATE               DATE,
  CONSIGNED_BILLING_CYCLE         NUMBER
);
